<template lang="pug">
section.section.hero-section
  header-block
  .hero-section__scroll-icon
  .section__inner.hero-section__inner
    .hero-section__img(v-if="bg")
      img(:src="bg" alt="")
      .hero-section__img-crop
        .hero-section__plane
          span

    .container
      .hero-section__left
        .hero-offer
          h1.hero-offer__title(
            v-if="title"
          ) {{ title }}
          .hero-offer__subtitle(
            v-if="subtitle"
            v-html="subtitle"
          )

        a.btn(
          v-if="buttonLink && buttonCaption && (buttonLink.indexOf('http') === 0 || buttonScroll)"
          :class="{ scrollto: buttonScroll }"
          :href="buttonLink"
          rel="nofollow"
          :target="buttonScroll ? '_self' : '_blank'"
        ) {{ buttonCaption }}

        nuxt-link.btn(
          v-else-if="buttonLink && buttonCaption"
          :to="buttonLink"
        ) {{ buttonCaption }}
</template>

<script>
import objectFitImages from 'object-fit-images'

export default {
  name: 'HeroSection',

  mounted () {
    objectFitImages()
  },

  props: {
    bg: {
      type: [String, null],
      default: null,
      required: false
    },
    buttonCaption: {
      type: [String, null],
      default: null,
      required: false
    },
    buttonLink: {
      type: [String, null],
      default: null,
      required: false
    },
    buttonScroll: {
      type: Boolean,
      default: false,
      required: false
    },
    subtitle: {
      type: [String, null],
      default: null,
      required: false
    },
    title: {
      type: [String, null],
      default: null,
      required: false
    }
  }
}
</script>
